#
# spec file for package perl-Crypt-DH-GMP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Crypt-DH-GMP
Version:        0.00012
Release:        4.40
%define cpan_name Crypt-DH-GMP
Summary:        Crypt::DH Using GMP Directly
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-DH-GMP/
Source0:        https://cpan.metacpan.org/authors/id/D/DM/DMAKI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::CheckLib) >= 0.4
BuildRequires:  perl(Devel::PPPort) >= 3.19
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.18
BuildRequires:  perl(Test::Requires)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gmp-devel
# MANUAL END

%description
Crypt::DH::GMP is a (somewhat) portable replacement to Crypt::DH,
implemented mostly in C.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install;/use lib q[.];\nuse inc::Module::Install;/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Thu Oct 12 2017 coolo@suse.com
- Fix build with perl 5.26
* Sat Mar 22 2014 coolo@suse.com
- updated to 0.00012
  - pr #1 add repo location in metadata (dsteinbrunner)
  - apply changes from https://rt.cpan.org/Ticket/Display.html?id=56794#txn-1341476
- upstreamed fix-crash.diff
* Fri Mar 21 2014 coolo@suse.com
- fix crash in test suite by adding fix-crash.diff
* Fri Mar 21 2014 coolo@suse.com
- initial package 0.00011
  * created by cpanspec 1.78.07
